/* this code was too simply and not looking the way that I would have preffered
it looked too bold and plain at the same time.

body{
    background-color: rgb(179, 165, 140);
}

p{
    font-family: cursive;
    text-align: center;
}

a:link{
    color:rgb(102, 45, 5);
}

a:visited{
    color:maroon;
}*/

/*I researched more code and meanings for my background and images to make the
page cleaner and prettier*/

/* Page Layout*/

body {
    background-color: #dbc8af;

    font-family: Arial, sans-serif;

    margin: 0;

    padding: 70px 20px 20px 20px;

    color: rgb(80, 55, 8);
}

/* Navigation */

nav {
    text-align: center;

    margin-bottom: 30px;

    padding: 15px;

    background-color: #fff;

    border-radius: 20px;

    box-shadow: 0 4px 12px rgba(80, 55, 8, 0.12);
}

nav a {
    color: rgb(135, 70, 70);

    text-decoration: none;

    font-weight: bold;

    margin: 0 15px;

    transition: color 0.3s ease;
}

nav a:hover {
    color: #d1845c;
}

/* Escape Button/Bar */ /* Note to self, z-index means that it stay at the top of the page Taylor, you need it! */

.top-bar {
    display: flex;

    justify-content: center;

    align-items: center;

    padding: 6px 20px;

    background-color: #ffffff;
}


.top-bar p {
    margin: 0;
}

.escape-button {
    border: 1px solid #8b4a4a;

    padding: 4px 10px;

    text-decoration: none;
}

.main-nav {
    margin-top: 15px;

    text-align: center;
}

.main-nav a {
    margin: 0 12px;

    text-decoration: none;
}
/* Headings */

h1 {
    color: rgb(135, 70, 70);

    text-align: center;

    margin-bottom: 25px;
}

h2 {
    color: rgb(135, 70, 70);

    text-align: center;
}

/* Home */

main {
    max-width: 900px;

    margin: 0 auto;
}

/* Logo */

.logo {
    display: block;

    width: 55%;

    max-width: 450px;

    height: auto;

    margin: 40px auto 25px;

    filter: drop-shadow(
        0 5px 8px rgba(0, 0, 0, 0.2)
    );
}

/* Welcome */

.welcome {
    text-align: center;

    max-width: 750px;

    margin: 30px auto 45px;

    padding: 25px;

    background-color: #ffffff;

    border: 3px solid #d6a36a;

    border-radius: 25px;

    box-shadow:
        0 6px 15px rgba(80, 55, 8, 0.15);
}

.welcome h1 {
    margin-top: 0;
}

.welcome p {
    color: rgb(80, 55, 8);

    font-size: 1.1rem;

    line-height: 1.7;
}

/* Mission Statement */

.mission {
    text-align: center;

    margin: 40px auto;

    padding: 30px;

    background: linear-gradient(
        135deg,
        #8b4a4a,
        #a66a55
    );

    border-radius: 25px;

    box-shadow:
        0 7px 18px rgba(80, 55, 8, 0.2);
}

.mission h2 {
    color: #fff5d7;

    margin-top: 0;
}

.mission p {
    color: #fffaf0;

    line-height: 1.7;

    font-size: 1.05rem;
}

/* Contact */

.contact {
    text-align: center;

    margin: 45px auto;

    padding: 25px;

    background-color: #fff8ed;

    border: 3px solid #d6a36a;

    border-radius: 25px;
}

.contact h2 {
    margin-top: 0;
}

.contact p > a {
    color: rgb(135, 70, 70);

    font-weight: bold;

    text-decoration: none;
}

.contact p > a:hover {
    color: #d1845c;

    text-decoration: underline;
}

/* About */

.intro {
    color: rgb(80, 55, 8);

    text-align: center;

    max-width: 850px;

    margin: 15px auto;

    line-height: 1.6;
}

/* Team member cards */

.person {
    display: flex;

    align-items: center;

    gap: 30px;

    max-width: 900px;

    margin: 35px auto;

    padding: 25px;

    background-color: #ffffff;

    border: 3px solid #d6a36a;

    border-radius: 25px;

    box-shadow:
        0 6px 15px rgba(80, 55, 8, 0.15);

    transition:
        transform 0.3s ease,
        box-shadow 0.3s ease;
}

/* Alternate card direction */

.person:nth-of-type(even) {
    flex-direction: row-reverse;

    border-color: #9b6b6b;
}

/* Team member pictures */

.person img {
    width: 160px;
    height: 160px;

    object-fit: cover;

    border-radius: 50%;

    border: 5px solid white;

    box-shadow:
        0 0 0 4px #d6a36a,
        0 5px 12px rgba(0, 0, 0, 0.2);

    flex-shrink: 0;

    transition:
        transform 0.3s ease;
}

/* Team card hover */

.person:hover {
    transform: translateY(-5px);

    box-shadow:
        0 10px 22px rgba(80, 55, 8, 0.2);
}

.person:hover img {
    transform: rotate(3deg) scale(1.05);
}

/* Team member text */

.person p {
    flex: 1;

    margin: 0;

    color: rgb(80, 55, 8);

    line-height: 1.7;
}

/* Team member names */

.person strong {
    display: block;

    color: rgb(135, 70, 70);

    font-size: 1.5rem;

    margin-bottom: 10px;
}

/* Resources */

.resources {
    max-width: 900px;

    margin: 0 auto;
}

/* Resource introduction */

.resource-intro {
    max-width: 750px;

    margin: 20px auto 40px;

    text-align: center;

    color: rgb(80, 55, 8);

    line-height: 1.7;

    font-size: 1.05rem;
}

/* Resource cards */

.resource-card {
    margin: 30px auto;

    padding: 25px;

    background-color: #ffffff;

    border: 3px solid #d6a36a;

    border-radius: 25px;

    box-shadow:
        0 6px 15px rgba(80, 55, 8, 0.15);

    transition:
        transform 0.3s ease,
        box-shadow 0.3s ease;
}

/* Alternate card colors */

.resource-card:nth-of-type(odd) {
    border-color: #d6a36a;
}

.resource-card:nth-of-type(even) {
    border-color: #9b6b6b;
}

/* Resource card hover */

.resource-card:hover {
    transform: translateY(-5px);

    box-shadow:
        0 10px 22px rgba(80, 55, 8, 0.2);
}

/* Organization names */

.resource-card h2 {
    margin-top: 0;

    margin-bottom: 15px;

    text-align: center;
}

.resource-card h2 a {
    color: rgb(135, 70, 70);

    text-decoration: none;
}

.resource-card h2 a:hover {
    color: #d1845c;
}

/* Resource descriptions */

.resource-card p {
    color: rgb(80, 55, 8);

    line-height: 1.7;
}

/* Resource Logos */

.cfc-logo {
    display: block;

    width: 25%;

    max-width: 300px;

    height: auto;

    margin: 40px auto 25px;

    filter: drop-shadow(
        0 5px 8px rgba(0, 0, 0, 0.2)
    );
}

.qc-logo {
    display: block;

    width: 30%;

    height: auto;

    margin: 40px auto 25px;

    filter: drop-shadow(
        0 5px 8px rgba(0, 0, 0, 0.2)
    );
}

.sip-logo {
    display: block;

    width: 30%;

    height: auto;

    margin: 40px auto 25px;

    filter: drop-shadow(
        0 5px 8px rgba(0, 0, 0, 0.2)
    );
}

.ta-logo {
    display: block;

    width: 30%;

    height: auto;

    margin: 40px auto 25px;

    filter: drop-shadow(
        0 5px 8px rgba(0, 0, 0, 0.2)
    );
}

.stip-logo {
    display: block;

    width: 30%;

    height: auto;

    margin: 40px auto 25px;

    filter: drop-shadow(
        0 5px 8px rgba(0, 0, 0, 0.2)
    );
}

.md-logo {
    display: block;

    width: 40%;

    height: auto;

    margin: 40px auto 25px;

    filter: drop-shadow(
        0 5px 8px rgba(0, 0, 0, 0.2)
    );
}

/* Guidelines List */

.guideline-list {
    max-width: 750px;

    margin: 40px auto;

    padding: 25px 40px;

    background-color: #ffffff;

    border: 3px solid #d6a36a;

    border-radius: 25px;

    box-shadow:
        0 6px 15px rgba(80, 55, 8, 0.15);

    color: rgb(80, 55, 8);

    line-height: 1.8;

    text-align: center;

    list-style-position: inside;
}

.guideline-list li {
    margin-bottom: 10px;

    text-align: center;
}

.guideline-list li:last-child {
    margin-bottom: 0;
}

/* Guidelines Table */

.guidelines-table {
    width: 90%;

    max-width: 900px;

    margin: 40px auto;

    border-collapse: collapse;

    background-color: #ffffff;

    border: 3px solid #d6a36a;

    border-radius: 20px;

    overflow: hidden;

    box-shadow:
        0 6px 15px rgba(135, 70, 70, 0.15);

    color: rgb(80, 55, 8);
}

.guidelines-table th {
    background-color: rgb(135, 70, 70);

    color: #fff5d7;

    padding: 15px;

    text-align: center;

    font-size: 1.1rem;
}

.guidelines-table td {
    padding: 15px;

    text-align: center;

    line-height: 1.6;

    border-top: 1px solid #d6a36a;
}

.guidelines-table tr:nth-child(even) {
    background-color: #fff8ed;
}

.guidelines-table tr:hover {
    background-color: #f3e3d1;
}

/* Visit buttons */

.resource-card .visit {
    text-align: center;

    margin-top: 20px;
}

.resource-card .visit a {
    display: inline-block;

    padding: 10px 18px;

    background-color: rgb(135, 70, 70);

    color: white;

    border-radius: 20px;

    text-decoration: none;

    font-weight: bold;

    transition:
        background-color 0.3s ease,
        transform 0.2s ease;
}

.resource-card .visit a:hover {
    background-color: #d1845c;

    transform: scale(1.05);
}

/* Core Values */

.core-values {
    text-align: center;
}

.core-values h2 {
    text-align: center;
}

.core-values ul {
    display: inline-block;

    text-align: left;

    margin: 0 auto;

    padding-left: 40px;

    line-height: 1.8;
}

/*Pride Flags Table */

.prideflags-table {
    width: 90%;

    max-width: 900px;

    margin: 40px auto;

    border-collapse: separate;

    background-color: #ffffff;

    border: 3px solid #d6a36a;

    border-radius: 20px;

    overflow: hidden;

    box-shadow:
        0 6px 15px rgba(135, 70, 70, 0.15);

    color: rgb(80, 55, 8);
}

.prideflags-table img {
    display: block;
     width: 180px;
     height: 110px;

    object-fit: cover;

    margin: 0 auto 10px;

    border-radius: 8px;

    border: 3px solid white;

    box-shadow:
        0 3px 8px rgba(0, 0, 0, 0.18);
}

.prideflags-table th {
    background-color: rgb(135, 70, 70);

    color: #fff5d7;

    padding: 18px;

    text-align: center;

    font-size: 1.1rem;
}

.prideflags-table td {
    padding: 20px;

    text-align: center;

    vertical-align: middle;

    line-height: 1.6;

    border-top: 1px solid #d6a36a;
}

.prideflags-table tr:nth-child(even) {
    background-color: #fff8ed;
}

.prideflags-table tr:hover {
    background-color: #f3e3d1;
}

.prideflags-table td:first-child {
    width: 30%;
    
    font-weight: bold;

    color: rgba(135, 70, 70);

    font-size: 1.05rem;
}

.prideflags-table td:last-child {
    text-align: left;

    width: 70%;
}

/* Allies Section */

.allies-section {
    max-width: 700px;

    margin: 45px auto;

    padding: 30px;

    background-color: #ffffff;

    border: 3px solid #d6a36a;

    border-radius: 25px;

    box-shadow: 
        0 6px 15px rgba(80, 55, 8, 0.15);

    text-align: center;
}

.allies-section h2 {
    margin-top: 0;

    margin-bottom: 25px;

    color: rgb(135, 70, 70);
}

.ally-flag {
    display: block;

    width: 220px;
    height: auto;

    margin: 0 auto 25px;

    border-radius: 10px;

    border: 3px solid white;

    box-shadow: 
        0 4px 10px rgba(0, 0, 0, 0.18);
}

.allies-section p {
    max-width: 600px;

    margin: 0 auto;

    color: rgb(80, 55, 8);

    line-height: 1.7;

    font-size: 1.05rem;
}

/* Icons for Socials */

.socials {
    display: flex;

    justify-content: center;

    gap: 30px;

    margin-top: 20px;
}

.socials a {
    display: flex;

    align-items: center;
    justify-content: center;

    width: 45px;
    height: 45px;

    background-color: rgb(135, 70, 70);

    color: white;

    border-radius: 50%;

    text-decoration: none;

    font-size: 22px;

    transition: 
    background-color 0.3s ease,
    transform 0.2s ease;
}

.socials a:hover {
    background-color: #d1845c;

    transform: translate(-3px);
}

/* Footer */

footer {
    text-align: center;

    color: rgb(80, 55, 8);

    font-family: cursive;

    margin-top: 60px;

    padding: 25px;

    border-top: 2px solid #d6a36a;
}

/* Phone App */

@media (max-width: 600px) {

    body {
        padding: 10px;
    }

    /* Phone Navigation */

    nav a {
        display: inline-block;

        margin: 5px 8px;
    }

    /* Phone Home Logo */

    .logo {
        width: 75%;
    }

    /* Phone Home Sections */

    .welcome,
    .mission,
    .contact {
        margin-left: 10px;

        margin-right: 10px;

        padding: 20px;
    }

    /* Phone Team Cards */

    .person,
    .person:nth-of-type(even) {
        flex-direction: column;

        text-align: center;
    }

    .person img {
        width: 140px;

        height: 140px;
    }

    .person p {
        text-align: center;
    }

    /* Phone Resource Cards */

    .resources {
        padding: 0 10px;
    }

    .resource-card {
        padding: 20px;
    }

    /* Phone Guidelines List */

    .guideline-list {
        padding: 20px 30px;
    }

    /* Phone Guidelines Table */

    .guidelines-table {
        width: 100%;

        font-size: 0.9rem;
    }

    .guidelines-table th,
    .guidelines-table td {
        padding: 10px;
    }

}